org.apache.ignite.internal.processors.cache

## Class GridCacheAdapter.AsyncOp<T>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheAdapter.AsyncOp<T>

Enclosing class:
  GridCacheAdapter<K,V>

    protected abstract class GridCacheAdapter.AsyncOp<T>
    extends Object

Cache operation.

### Constructor Summary

Constructors
`protected` `GridCacheAdapter.AsyncOp()`
`protected` `GridCacheAdapter.AsyncOp(Collection<?> keys)`

### Method Summary

Methods
`abstract IgniteInternalFuture<T>` `op(IgniteTxLocalAdapter tx)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCacheAdapter.AsyncOp

    protected GridCacheAdapter.AsyncOp()

#### GridCacheAdapter.AsyncOp

    protected GridCacheAdapter.AsyncOp(Collection<?> keys)

Parameters:
  `keys` - Keys involved.

### Method Detail

#### op

    public abstract IgniteInternalFuture<T> op(IgniteTxLocalAdapter tx)

Parameters:
  `tx` - Transaction.
Returns:
  Operation return value.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015